This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours

Bug 494488

Summary: Moving/renaming books kills publican dead
Product: [Community] Publican Reporter: Christopher Curran <ccurran>
Component: publicanAssignee: Jeff Fearn <jfearn>
Status: CLOSED WORKSFORME QA Contact: Content Services Development <ecs-dev-list>
Severity: medium Docs Contact:
Priority: medium    
Version: 2.0CC: mmcallis, publican-list
Target Milestone: ---Keywords: Documentation, Reopened
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2009-04-14 23:44:11 EDT Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:

Description Christopher Curran 2009-04-07 02:09:58 EDT
Description of problem:
Publican's make clean_ids renames the Author_Group.xml and Legal Notice links to lower case in Book_Info.xml. This occurs when you move a book, or change the title or product. The book then fails to build with an error like the following:

make html-single-en-US
Processing, Product: Red_Hat_Enterprise_Virtualization_Hypervisor, Version: 1, Edition: 0.97, Release: 5
START: xml-en-US Tue Apr  7 16:00:32 EST 2009
        copying RedHat/en-US  Common_Content
cleaning files
        Author_Group.xml
        Background_Information.xml
        Book_Info.xml
        Configuration.xml
        Deployment_Guide.xml
        Feedback.xml
        Installation_and_Deployment.xml
        Introduction.xml
        Preface.xml
        Requirements.xml
        Revision_History.xml
        Uninstalling.xml
        Upgrading.xml
        Using_Nodes.xml
END: xml-en-US Tue Apr  7 16:00:34 EST 2009
START: test-en-US Tue Apr  7 16:00:34 EST 2009
Book_Info.xml:7: element bookinfo: validity error : Element bookinfo content does not follow the DTD, expecting (graphic | mediaobject | legalnotice | modespec | subjectset | keywordset | itermset | abbrev | abstract | address | artpagenums | author | authorgroup | authorinitials | bibliomisc | biblioset | collab | confgroup | contractnum | contractsponsor | copyright | corpauthor | corpname | corpcredit | date | edition | editor | invpartnumber | isbn | issn | issuenum | orgname | biblioid | citebiblioid | bibliosource | bibliorelation | bibliocoverage | othercredit | pagenums | printhistory | productname | productnumber | pubdate | publisher | publishername | pubsnumber | releaseinfo | revhistory | seriesvolnums | subtitle | title | titleabbrev | volumenum | citetitle | personname | honorific | firstname | surname | lineage | othername | affiliation | authorblurb | contrib | indexterm)+, got (title subtitle productname productnumber edition pubsnumber abstract corpauthor copyright xi:include xi:include )
Book_Info.xml:27: element include: validity error : No declaration for element include
Book_Info.xml:27: element include: validity error : No declaration for attribute href of element include
Book_Info.xml:27: element include: validity error : No declaration for attribute xmlns:xi of element include
Book_Info.xml:28: element include: validity error : No declaration for element include
Book_Info.xml:28: element include: validity error : No declaration for attribute href of element include
Book_Info.xml:28: element include: validity error : No declaration for attribute xmlns:xi of element include
Document tmp/en-US/xml/Deployment_Guide.xml does not validate
make: *** [test-en-US] Error 3


Version-Release number of selected component (if applicable):


How reproducible:
every time

Steps to Reproduce:
1. see description

  
Actual results:
Failboat cruise for 2

Expected results:
yay, book

Additional info:
it's borked.
Comment 1 Jeff Fearn 2009-04-07 02:53:43 EDT
Version-Release NULL-NULL is not a supported Version and/or Release of publican.

Please upgrade to a currently supported version.
Comment 2 Christopher Curran 2009-04-07 02:59:23 EDT
ah, that should be .42
Comment 3 Jeff Fearn 2009-04-07 17:32:22 EDT
[]$ rpm -q publican
publican-0.45-0.el5

I can not duplicate this issue.

It would be handy if you included useful information in the bug such as:

1: a link to the repository before the change
2: the steps you followed to make the change
3: Snippets of the before and after changes in the XML.

In future please include all such information in the original post to avoid wasting time and energy.
Comment 4 Christopher Curran 2009-04-14 23:44:11 EDT
I cannot duplicate with the new one either. Fixed.